<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.fire.mapper.DemEnforceInspectRecordMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.fire.domain.DemEnforceInspectRecord">
        <id column="id" property="id" />
        <result column="project_id" property="projectId" />
        <result column="project_code" property="projectCode" />
        <result column="inspect_descript" property="inspectDescript" />
        <result column="inspect_type" property="inspectType" />
        <result column="inspect_name" property="inspectName" />
        <result column="document_number1" property="documentNumber1" />
        <result column="document_number2" property="documentNumber2" />
        <result column="document_number3" property="documentNumber3" />
        <result column="document_number4" property="documentNumber4" />
        <result column="document_number" property="documentNumber" />
        <result column="paper_title" property="paperTitle" />
        <result column="company_code" property="companyCode" />
        <result column="company_name" property="companyName" />
        <result column="company_address" property="companyAddress" />
        <result column="fire_duty_name" property="fireDutyName" />
        <result column="fire_duty_phone" property="fireDutyPhone" />
        <result column="fire_manage_name" property="fireManageName" />
        <result column="fire_manage_phone" property="fireManagePhone" />
        <result column="link_person" property="linkPerson" />
        <result column="link_phone" property="linkPhone" />
        <result column="company_nature_code" property="companyNatureCode" />
        <result column="company_nature_name" property="companyNatureName" />
        <result column="enforce_inspect_person" property="enforceInspectPerson" />
        <result column="inspect_start_time" property="inspectStartTime" />
        <result column="inspect_end_time" property="inspectEndTime" />
        <result column="company_inspect_person" property="companyInspectPerson" />
        <result column="company_manage_person" property="companyManagePerson" />
        <result column="allow_record_content" property="allowRecordContent" />
        <result column="safe_manage_content" property="safeManageContent" />
        <result column="fire_protect_content" property="fireProtectContent" />
        <result column="safe_evacuat_content" property="safeEvacuatContent" />
        <result column="fire_control_content" property="fireControlContent" />
        <result column="fire_system_facilities" property="fireSystemFacilities" />
        <result column="water_supply_facilities" property="waterSupplyFacilities" />
        <result column="water_spray_facilities" property="waterSprayFacilities" />
        <result column="auto_fire_facilities" property="autoFireFacilities" />
        <result column="other_facilities" property="otherFacilities" />
        <result column="other_safe_manage" property="otherSafeManage" />
        <result column="remark" property="remark" />
        <result column="build_area" property="buildArea" />
        <result column="build_floor" property="buildFloor" />
        <result column="build_high" property="buildHigh" />
        <result column="illegal_act" property="illegalAct" />
        <result column="handling_situation" property="handlingSituation" />
        <result column="inspect_qualified" property="inspectQualified" />
        <result column="subsequent_paper" property="subsequentPaper" />
        <result column="review_situation" property="reviewSituation" />
        <result column="approver" property="approver" />
        <result column="approver_name" property="approverName" />
        <result column="approval_time" property="approvalTime" />
        <result column="competent_unit" property="competentUnit" />
        <result column="creator_name" property="creatorName" />
        <result column="create_ip" property="createIp" />
        <result column="update_name" property="updateName" />
        <result column="update_ip" property="updateIp" />
        <result column="version_number" property="versionNumber" />
        <result column="enable" property="enable" />
        <result column="alternate_field1" property="alternateField1" />
        <result column="alternate_field2" property="alternateField2" />
        <result column="alternate_field3" property="alternateField3" />
        <result column="alternate_field4" property="alternateField4" />
        <result column="alternate_field5" property="alternateField5" />
        <result column="yxmjzrq" property="yxmjzrq" />
        <result column="ytxjzrq" property="ytxjzrq" />
        <result column="row_version" property="rowVersion" />
        <result column="frdb" property="frdb" />
        <result column="law_id" property="lawId" />
        <result column="bdp_audit" property="bdpAudit" />
        <result column="union_key" property="unionKey" />
        <result column="create_time" property="createTime" />
    </resultMap>

</mapper>
